PETSc version 3.15.5
Fix/Edit manual page

# PCMGGetAdaptInterpolation

Get the flag to adapt the interpolator based upon a vector space which should be accurately captured by the next coarser mesh, and thus accurately interpolated.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetAdaptInterpolation(PC pc, PetscBool *adapt)

Not collective

### Input Parameter

| pc | - the multigrid context

### Output Parameter

| adapt | - flag for adaptation of the interpolator

### Keywords

MG, set, Galerkin

### See Also

PCMGSetAdaptInterpolation(), PCMGSetGalerkin()

### Level

intermediate

### Location

src/ksp/pc/impls/mg/mg.c

### Implementations

PCMGGetAdaptInterpolation_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages